cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/public/get_combos \
--header 'Content-Type: application/json' \
--data '
{
"id": 2,
"jsonrpc": "2.0",
"method": "public/get_combos",
"params": {
"currency": "BTC"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/public/get_combos"
payload = {
"id": 2,
"jsonrpc": "2.0",
"method": "public/get_combos",
"params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({id: 2, jsonrpc: '2.0', method: 'public/get_combos', params: {currency: 'BTC'}})
};
fetch('https://drb.coinbase.com/api/v2/public/get_combos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 2,
"jsonrpc": "2.0",
"result": [
{
"creation_timestamp": 1650636235000,
"id": "BTC-CS-29APR22-39300_39600",
"instrument_id": 28,
"legs": [
{
"amount": 1,
"instrument_name": "BTC-29APR22-39300-C"
},
{
"amount": -1,
"instrument_name": "BTC-29APR22-39600-C"
}
],
"state": "active",
"state_timestamp": 1650636265101
},
{
"creation_timestamp": 1650620575000,
"id": "BTC-FS-29APR22_PERP",
"instrument_id": 27,
"legs": [
{
"amount": -1,
"instrument_name": "BTC-PERPETUAL"
},
{
"amount": 1,
"instrument_name": "BTC-29APR22"
}
],
"state": "active",
"state_timestamp": 1650620605150
}
]
}Combo Books
public/get_combos
Retrieves information about active combos for the specified currency. Returns detailed information including leg structures and combo properties.
For a list of combo IDs only, use public/get_combo_ids. For details about a specific combo, use public/get_combo_details.
GET
/
public
/
get_combos
cURL
Query Parameters
The currency symbol or "any" for all
Currency name or "any" if don't care
Available options:
BTC, ETH, USDC, USDT, EURR, any Was this page helpful?
⌘I